/*
 * Copyright (C) 2002 Luca Abeni
 * This is Free Software; see GPL.txt for details
 */

#ifndef __INTERFACE_H__
#define __INTERFACE_H__

#define CBS_SIGNATURE 0xCB
#define E_SIGNATURE 0xCE
#define E1_SIGNATURE 0xDE
#define SCHED_CBS 666

struct cbs_param {
  unsigned long int signature;
  int period;
  int max_budget;
};

struct cbs_error {
  unsigned long int signature;
  unsigned long int period;
  unsigned long int max_budget;
  unsigned long long int e;
  unsigned long long int t;
};

int cbs_get_params(struct task_struct *p, unsigned long int *qs, unsigned long int *ts);
int cbs_set_params(struct task_struct *p, unsigned long int qs, unsigned long int ts);

#endif	/* __INTERFACE_H__ */
