/*
 * Copyright (C) 2002 Luca Abeni
 * This is Free Software; see GPL.txt for details
 */

#ifndef __DISPATCH_H__
#define __DISPATCH_H__

#include <linux/module.h>
#ifndef CONFIG_GENERIC_SCHEDULER
#error The Generic Scheduler is not enabled!!!
#endif

#define GENSCHED_DISABLED 1024
#define CBS_DISPATCH_PRIORITY 1

void stop(struct task_struct *t);
void dispatch(struct task_struct *t, int proc);
void gensched_idle_cpu(int cpu);

#endif /* __DISPATCH_H__ */
